import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../../constant/colors.dart';
import '../../../controller/home/map_passenger_controller.dart';

GetBuilder<MapPassengerController> leftMainMenuIcons() {
  return GetBuilder<MapPassengerController>(
    builder: (controller) => Positioned(
        top: 85,
        left: 6,
        child: Column(
          children: [
            AnimatedContainer(
              duration: const Duration(microseconds: 200),
              width: controller.widthMapTypeAndTraffic,
              decoration: BoxDecoration(
                  border: Border.all(),
                  color: AppColor.secondaryColor,
                  borderRadius: BorderRadius.circular(15)),
              child: IconButton(
                onPressed: () {
                  controller.changeMapType();
                  // Toast.show(context, 'This is a toast message!');
                },
                icon: const Icon(
                  Icons.satellite_alt,
                  size: 29,
                ),
              ),
            ),
            const SizedBox(
              height: 5,
            ),
            AnimatedContainer(
              duration: const Duration(microseconds: 200),
              width: controller.widthMapTypeAndTraffic,
              decoration: BoxDecoration(
                  color: AppColor.secondaryColor,
                  border: Border.all(),
                  borderRadius: BorderRadius.circular(15)),
              child: IconButton(
                onPressed: () {
                  controller.changeMapTraffic();
                  // Toast.show(context, 'This is a toast message!');
                },
                icon: const Icon(
                  Icons.streetview_sharp,
                  size: 29,
                ),
              ),
            ),
          ],
        )),
  );
}
